Module java.base
Package java.nio.file.attribute

# Enum Class AclEntryFlag

java.lang.Object
java.lang.Enum<AclEntryFlag>
java.nio.file.attribute.AclEntryFlag

All Implemented Interfaces:
  `Serializable`, `Comparable<AclEntryFlag>`, `Constable`

public enum AclEntryFlag extends Enum<AclEntryFlag>
Defines the flags for used by the flags component of an ACL `entry`.

In this release, this class does not define flags related to `AclEntryType.AUDIT` and `AclEntryType.ALARM` entry types.

Since:
  1.7

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DIRECTORY_INHERIT`
Can be placed on a directory and indicates that the ACL entry should be added to each new directory created.
`FILE_INHERIT`
Can be placed on a directory and indicates that the ACL entry should be added to each new non-directory file created.
`INHERIT_ONLY`
Can be placed on a directory but does not apply to the directory, only to newly created files/directories as specified by the `FILE_INHERIT` and `DIRECTORY_INHERIT` flags.
`NO_PROPAGATE_INHERIT`
Can be placed on a directory to indicate that the ACL entry should not be placed on the newly created directory which is inheritable by subdirectories of the created directory.

## Method Summary

Modifier and Type
Method
Description
`static AclEntryFlag`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AclEntryFlag[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### FILE_INHERIT

public static final AclEntryFlag FILE_INHERIT
Can be placed on a directory and indicates that the ACL entry should be added to each new non-directory file created.

### DIRECTORY_INHERIT

public static final AclEntryFlag DIRECTORY_INHERIT
Can be placed on a directory and indicates that the ACL entry should be added to each new directory created.

### NO_PROPAGATE_INHERIT

public static final AclEntryFlag NO_PROPAGATE_INHERIT
Can be placed on a directory to indicate that the ACL entry should not be placed on the newly created directory which is inheritable by subdirectories of the created directory.

### INHERIT_ONLY

public static final AclEntryFlag INHERIT_ONLY
Can be placed on a directory but does not apply to the directory, only to newly created files/directories as specified by the `FILE_INHERIT` and `DIRECTORY_INHERIT` flags.

## Method Details

### values

public static AclEntryFlag[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static AclEntryFlag valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null